Bug Hunting Session
Bug 109118 - Add View-Data Sources on/off text button and Tools-Address Book Source.. button to Mailmerge toolbar
Summary: Add View-Data Sources on/off text button and Tools-Address Book Source.. butt...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.0.0
Keywords: easyHack
Depends on:
Blocks: Mail-Merge Address-Source
  Show dependency treegraph
 
Reported: 2017-07-14 12:28 UTC by Timur
Modified: 2017-12-06 20:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Toolbar as proposed (40.40 KB, image/jpeg)
2017-08-08 16:08 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2017-07-14 12:28:23 UTC
Mailmerge is redesigned from LO 5.2 to have 5 steps and open Mail merge toolbar. 
What I lack is Data Sources (text) button in this toolbar. They are available via  View -> Data Sources, or Ctrl+Shift+F4 but toolbar would be also useful.
This is enhancement request to add it. Looks like there's enough space.
Comment 1 Timur 2017-07-18 10:49:10 UTC
And also Tools-Address Book Source.. button both for practical use and to direct user to use it since more experienced user doesn't need wizard.
Comment 2 Heiko Tietze 2017-08-08 11:37:02 UTC
Please add a screenshot where you think access to data sources is needed.
Comment 3 Timur 2017-08-08 16:08:34 UTC
Created attachment 135303 [details]
Toolbar as proposed

If I'm right, we can use MM in 2 ways:
A. with MM Wizard, which is useful, but for less experienced users (inherited), or
B. directly via Data Sources, but we also need MM Toolbar then (with Caolan's fix from 5.3)

So my proposal for 2. is to:
1. have all the needed buttons in MM Toolbar (this bug)
2. add button (as a command, I know there's no space in existing toolbars) to show MM Toolbar (new bug)
Comment 4 Heiko Tietze 2017-08-08 18:50:19 UTC
Thanks for the proposal. Will suggest this change in the design meeting.
Comment 5 Timur 2017-08-10 15:22:47 UTC
Lem me explain why I proposed text buttons: 
- other buttons are mostly text buttons 
- icon may not be obvious
- there's enough space now.
Comment 6 Heiko Tietze 2017-08-10 15:28:35 UTC
In the design meeting we agreed with the idea. 

About icons vs. text (comment 5) we should have good icons and let the user decide whether she wants to enable text or not (customize toolbar > icons). The current layout with text only does not respect the user settings.

(Removing needsUX and adding easyhack as this change can be done with xml knowledge)
Comment 7 Heiko Tietze 2017-08-10 15:29:22 UTC Comment hidden (off-topic)
Comment 8 Serge Krot (CIB) 2017-09-15 15:47:25 UTC
Added new buttons into Mail Merge toolbar:
- uno:ViewDataSourceBrowser
- uno:AddressBookSource
Comment 9 Commit Notification 2017-09-18 11:30:37 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c60cc41e6990cbc0812c299a70cffc07c581175

tdf#109118 Added new buttons into Mail Merge toolbar

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Timur 2017-09-19 14:51:10 UTC
OK, as requested, thanks. 
Data Sources has an icon, Address Book Source is a text. 

I previously mentioned a new button to show MM Toolbar, which would be another bug. 
I'm afraid of standard lack of space, although that wouldn't be visible by default. 
One may notice we don't have those icons for all toolbars, just for Track Changes.